<?php

namespace App\Console\Commands;

use App\Services\OrderMonitoringService;
use Illuminate\Console\Command;

class MonitorOrders extends Command
{
    protected $signature = 'orders:monitor';
    protected $description = 'Monitor orders for alerts and notifications';

    public function handle(OrderMonitoringService $monitor): int
    {
        $this->info('Starting order monitoring...');

        $this->info('Checking pending orders...');
        $monitor->checkPendingOrders();

        $this->info('Checking processing orders...');
        $monitor->checkProcessingOrders();

        $this->info('Checking shipped orders...');
        $monitor->checkShippedOrders();

        $this->info('Checking failed deliveries...');
        $monitor->checkFailedDeliveries();

        $this->info('Order monitoring completed.');

        return Command::SUCCESS;
    }
} 