<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PresenceChannel;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class MessageEdited implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $messageId;
    public $newMessage;
    public $editedAt;

    public function __construct($messageId, $newMessage, $editedAt)
    {
        $this->messageId = $messageId;
        $this->newMessage = $newMessage;
        $this->editedAt = $editedAt;
    }

    public function broadcastOn()
    {
        return new PrivateChannel('chat');
    }
} 