<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PresenceChannel;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class MessageReaction implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $messageId;
    public $reactions;
    public $userReactions;

    public function __construct($messageId, $reactions, $userReactions)
    {
        $this->messageId = $messageId;
        $this->reactions = $reactions;
        $this->userReactions = $userReactions;
    }

    public function broadcastOn()
    {
        return new PrivateChannel('chat');
    }
} 