<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Category;
use Illuminate\Http\Request;

class CategoryController extends Controller
{
    public function index()
    {
        $categories = Category::orderBy('order')->get();

        return response()->json([
            'data' => $categories,
            'message' => 'Categories retrieved successfully'
        ]);
    }

    public function show(Category $category)
    {
        $category->load('products');

        return response()->json([
            'data' => $category,
            'message' => 'Category retrieved successfully'
        ]);
    }
} 