<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class VariationOptionLookup extends Model
{
    use HasFactory;

    protected $table = 'variation_option_lookups';

    protected $fillable = [
        'variation_type_id',
        'value_en',
        'value_ar',
        'code',
        'order',
        'is_active',
    ];

    protected $casts = [
        'is_active' => 'boolean',
    ];

    public function type(): BelongsTo
    {
        return $this->belongsTo(VariationType::class, 'variation_type_id');
    }

    public function getValueAttribute()
    {
        return app()->getLocale() === 'ar' ? $this->value_ar : $this->value_en;
    }
} 