<?php

namespace Database\Factories;

use App\Models\Category;
use Illuminate\Database\Eloquent\Factories\Factory;

class CategoryFactory extends Factory
{
    protected $model = Category::class;

    public function definition(): array
    {
        $name = $this->faker->unique()->word;
        return [
            'parent_id' => null,
            'name_en' => $name,
            'name_ar' => $this->faker->word,
            'description_en' => $this->faker->paragraph,
            'description_ar' => $this->faker->paragraph,
            'slug' => strtolower($name),
            'order' => $this->faker->numberBetween(1, 100),
            'is_featured' => $this->faker->boolean,
        ];
    }
} 