<?php

namespace Database\Factories;

use App\Models\Product;
use Illuminate\Database\Eloquent\Factories\Factory;

class ProductFactory extends Factory
{
    protected $model = Product::class;

    public function definition(): array
    {
        $name = $this->faker->unique()->words(3, true);
        return [
            'category_id' => null,
            'name_en' => $name,
            'name_ar' => $this->faker->words(3, true),
            'description_en' => $this->faker->paragraphs(3, true),
            'description_ar' => $this->faker->paragraphs(3, true),
            'slug' => strtolower(str_replace(' ', '-', $name)),
            'is_active' => $this->faker->boolean(90),
            'is_featured' => $this->faker->boolean(30),
        ];
    }
} 