<?php

namespace Database\Factories;

use App\Models\Variation;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Variation>
 */
class VariationFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Variation::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'product_id' => null,
            'sku' => $this->faker->unique()->bothify('SKU-####-????'),
            'barcode' => $this->faker->unique()->ean13(),
            'price' => $this->faker->randomFloat(2, 10, 1000),
            'discount_price' => $this->faker->optional(0.3)->randomFloat(2, 5, 500),
            'discount_start' => $this->faker->optional(0.3)->dateTimeBetween('-1 month', '+1 month'),
            'discount_end' => $this->faker->optional(0.3)->dateTimeBetween('+1 month', '+3 months'),
            'stock' => $this->faker->numberBetween(0, 100),
            'stock_threshold' => $this->faker->numberBetween(5, 20),
            'weight' => $this->faker->randomFloat(2, 0.1, 10),
            'is_active' => $this->faker->boolean(90),
        ];
    }
} 