<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    public function up()
    {
        Schema::create('variation_types', function (Blueprint $table) {
            $table->id();
            $table->string('name_en');
            $table->string('name_ar');
            $table->string('slug')->unique();
            $table->boolean('is_active')->default(true);
            $table->timestamps();
        });

        // Insert default variation types
        DB::table('variation_types')->insert([
            ['name_en' => 'Color', 'name_ar' => 'اللون', 'slug' => 'color'],
            ['name_en' => 'Size', 'name_ar' => 'المقاس', 'slug' => 'size'],
            ['name_en' => 'Material', 'name_ar' => 'المادة', 'slug' => 'material'],
        ]);
    }

    public function down()
    {
        Schema::dropIfExists('variation_types');
    }
}; 