<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('product_variation_types', function (Blueprint $table) {
            $table->id();
            $table->foreignId('product_id')->constrained()->onDelete('cascade');
            $table->foreignId('variation_type_id')->constrained()->onDelete('cascade');
            $table->timestamps();

            $table->unique(['product_id', 'variation_type_id']);
        });
    }

    public function down()
    {
        Schema::dropIfExists('product_variation_types');
    }
}; 