<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        if (!Schema::hasTable('messages')) {
            Schema::create('messages', function (Blueprint $table) {
                $table->id();
                $table->foreignId('sender_id')->constrained('users')->onDelete('cascade');
                $table->foreignId('receiver_id')->constrained('users')->onDelete('cascade');
                $table->text('message');
                $table->string('file_path')->nullable();
                $table->foreignId('order_id')->nullable()->constrained('orders')->onDelete('set null');
                $table->timestamp('seen_at')->nullable();
                $table->timestamps();

                // Indexes for better performance
                $table->index(['sender_id', 'receiver_id']);
                $table->index('order_id');
                $table->index('seen_at');
            });
        }
    }

    public function down(): void
    {
        Schema::dropIfExists('messages');
    }
}; 