<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\User;
use Illuminate\Support\Facades\Hash;

class AdminUserSeeder extends Seeder
{
    public function run(): void
    {
        // Create main admin user
        User::updateOrCreate(
            ['email' => 'admin@littleloop.com'],
            [
                'name' => 'Admin User',
                'phone' => '+1234567890',
                'address' => 'Admin Office, Main Street',
                'password' => Hash::make('admin123'),
                'is_admin' => true,
            ]
        );

        // Create additional admin users
        $admins = [
            [
                'name' => 'Super Admin',
                'email' => 'superadmin@littleloop.com',
                'phone' => '+1987654321',
                'address' => 'Headquarters, Business District',
                'password' => Hash::make('superadmin123'),
                'is_admin' => true,
            ],
            [
                'name' => 'Content Manager',
                'email' => 'content@littleloop.com',
                'phone' => '+1122334455',
                'address' => 'Content Department, Media Center',
                'password' => Hash::make('content123'),
                'is_admin' => true,
            ],
            [
                'name' => 'Order Manager',
                'email' => 'orders@littleloop.com',
                'phone' => '+1555666777',
                'address' => 'Order Department, Processing Center',
                'password' => Hash::make('orders123'),
                'is_admin' => true,
            ]
        ];

        foreach ($admins as $admin) {
            User::updateOrCreate(
                ['email' => $admin['email']],
                $admin
            );
        }
    }
} 