<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Category;
use Illuminate\Support\Str;

class CategorySeeder extends Seeder
{
    public function run(): void
    {
        $categories = [
            [
                'name_en' => 'Men\'s Fashion',
                'name_ar' => 'أزياء رجالية',
                'description_en' => 'Latest trends in men\'s fashion',
                'description_ar' => 'أحدث صيحات الموضة الرجالية',
                'is_featured' => true,
            ],
            [
                'name_en' => 'Women\'s Fashion',
                'name_ar' => 'أزياء نسائية',
                'description_en' => 'Elegant women\'s fashion collection',
                'description_ar' => 'مجموعة أنيقة من الأزياء النسائية',
                'is_featured' => true,
            ],
            [
                'name_en' => 'Accessories',
                'name_ar' => 'إكسسوارات',
                'description_en' => 'Stylish accessories for every occasion',
                'description_ar' => 'إكسسوارات أنيقة لكل المناسبات',
                'is_featured' => false,
            ],
            [
                'name_en' => 'Footwear',
                'name_ar' => 'أحذية',
                'description_en' => 'Comfortable and stylish footwear',
                'description_ar' => 'أحذية مريحة وأنيقة',
                'is_featured' => false,
            ],
        ];

        foreach ($categories as $category) {
            $slug = Str::slug($category['name_en']);
            Category::updateOrCreate(
                ['slug' => $slug],
                [
                    'name_en' => $category['name_en'],
                    'name_ar' => $category['name_ar'],
                    'description_en' => $category['description_en'],
                    'description_ar' => $category['description_ar'],
                    'is_featured' => $category['is_featured'],
                    'order' => rand(1, 10),
                ]
            );
        }
    }
} 