<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Packaging Slip - Order #{{ $order->order_number }}</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 20px;
        }
        .header {
            text-align: center;
            margin-bottom: 30px;
        }
        .order-info {
            margin-bottom: 20px;
        }
        .items {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 20px;
        }
        .items th, .items td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: left;
        }
        .items th {
            background-color: #f5f5f5;
        }
        .qr-code {
            text-align: center;
            margin-top: 30px;
        }
        .qr-code img {
            max-width: 200px;
        }
        .footer {
            margin-top: 30px;
            text-align: center;
            font-size: 12px;
            color: #666;
        }
    </style>
</head>
<body>
    <div class="header">
        <h1>Packaging Slip</h1>
        <h2>Order #{{ $order->order_number }}</h2>
    </div>

    <div class="order-info">
        <p><strong>Date:</strong> {{ $order->created_at->format('Y-m-d H:i:s') }}</p>
        <p><strong>Customer:</strong> {{ $order->shipping_name }}</p>
        <p><strong>Address:</strong> {{ $order->shipping_address }}</p>
        <p><strong>City:</strong> {{ $order->shipping_city }}</p>
        <p><strong>State:</strong> {{ $order->shipping_state }}</p>
        <p><strong>Country:</strong> {{ $order->shipping_country }}</p>
        <p><strong>Postal Code:</strong> {{ $order->shipping_postal_code }}</p>
        <p><strong>Phone:</strong> {{ $order->shipping_phone }}</p>
        <p><strong>Email:</strong> {{ $order->shipping_email }}</p>
    </div>

    <table class="items">
        <thead>
            <tr>
                <th>Item</th>
                <th>SKU</th>
                <th>Quantity</th>
                <th>Notes</th>
            </tr>
        </thead>
        <tbody>
            @foreach($order->items as $item)
            <tr>
                <td>{{ $item->product->name }}</td>
                <td>{{ $item->variation->sku }}</td>
                <td>{{ $item->quantity }}</td>
                <td></td>
            </tr>
            @endforeach
        </tbody>
    </table>

    <div class="qr-code">
        <img src="{{ $qrCode }}" alt="Order QR Code">
        <p>Scan to verify order details</p>
    </div>

    <div class="footer">
        <p>Thank you for your business!</p>
        <p>Little Loop Store</p>
    </div>

    <div class="packaging-slip">
        <h1>Packaging Slip</h1>
        <p>Order Number: {{ $order->order_number }}</p>
        <p>Tracking Number: {{ $order->tracking_number }}</p>
        <img src="{{ $qrCode }}" alt="QR Code">
        <ul>
            @foreach($order->items as $item)
                <li>{{ $item->product->name }} - Quantity: {{ $item->quantity }}</li>
            @endforeach
        </ul>
    </div>
</body>
</html> 